Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001662TestLinkThird party componentspublic2008-08-05 23:512010-08-19 18:36
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 Beta 2 
Summary0001662: Ext Js - Update to 2.2
DescriptionExt Js - Update to 2.2 (released 2008-08-04)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0003693closedfman Ext Js - Update to 3.2.1 

-  Notes
(0003921)
fman (administrator)
2008-08-05 23:52

Reminder sent to: mhavlat

I would like to update ASAP.
Do you Agree?
(0003924)
mhavlat (reporter)
2008-08-06 05:24

I like to wait some weeks after release ...
But I agree to go ahead for the case. It's more bug fixing than a new features.
(0005325)
mhavlat (reporter)
2009-02-10 00:27

Planned to 1.9 release
(0007190)
mhavlat (reporter)
2009-06-08 04:46

Go ahead. Thanks.
(0007228)
schlundus (reporter)
2009-06-09 22:38

I think we should wait until we are neare to release date, or we risk that EXT-JS 2.3 or something similar comes up, and we have to update twice
(0007237)
mhavlat (reporter)
2009-06-10 14:45

Yes. There is 3.0 RC2 available. I wrote it because of my previous note. I'm fine with both update to 2.2.1 now and/or 3.0 later.

Based on roadmap I don't see any feature that is must have
http://extjs.com/products/extjs/roadmap.php [^]

Release Notes for Ext 2.2.1
http://extjs.com/deploy/dev/CHANGES.html [^]
Note: chrome support is there
(0007240)
fman (administrator)
2009-06-10 17:12

We need to update ASAP to have time to test with new version, if we wait till our release date will be near we will not have time to test.
(0007692)
fman (administrator)
2009-07-31 13:04

Upgrade to 3.0.
Please do some test to see if there are issues
(0007762)
schlundus (reporter)
2009-08-12 02:09

prototype.js not in CVS
(0007778)
fman (administrator)
2009-08-17 16:05

commited
(0007796)
schlundus (reporter)
2009-08-19 02:37

Why not updated to the latest version (1.6.X) and only to 1.5?
(0007801)
fman (administrator)
2009-08-19 13:46

we are olnly using one function from prototype. then follow old principle
to use what was in use in previous version without problems.
Anyway you can update to latest version if you want.
(0007804)
schlundus (reporter)
2009-08-19 14:56

That's a good principle, so why did we update EXT-JS?
(0007806)
fman (administrator)
2009-08-19 17:50

as stated use of prototyoe in TL in near 0 (anyway I prefer to use it's function instead of developing a new one by myself).
EXT-JS (same for ADODB, FCKEDITOR, SMARTY) is different, we are using (or trying to use ) more and more features of these packages, then there is no other choice that update.
Example contribution of results feature with EXT-JS tables has been done using EXT-JS 3.0 (was a contributor choice, you can also search for the mantis issue
and will see if I'm not wrogn my negative comments about a contribution that force us to upgrade).

Then IMHO as with a lot of other things there is not a rigid rule, always what is needed (very difficult) is to be able to understand pros/cons of decision, what is not an easy task.

Hope now our choice is a little more clear.

- Issue History
Date Modified Username Field Change
2008-08-05 23:51 fman New Issue
2008-08-05 23:52 fman Note Added: 0003921
2008-08-05 23:52 fman Status new => assigned
2008-08-05 23:52 fman Assigned To => fman
2008-08-06 05:24 mhavlat Note Added: 0003924
2009-02-10 00:27 mhavlat Note Added: 0005325
2009-06-08 04:46 mhavlat Note Added: 0007190
2009-06-09 22:38 schlundus Note Added: 0007228
2009-06-10 14:45 mhavlat Note Added: 0007237
2009-06-10 17:12 fman Note Added: 0007240
2009-07-31 13:04 fman Note Added: 0007692
2009-07-31 13:04 fman Status assigned => resolved
2009-07-31 13:04 fman Fixed in Version => 1.9 (DEV)
2009-07-31 13:04 fman Resolution open => fixed
2009-08-12 02:09 schlundus Note Added: 0007762
2009-08-12 02:09 schlundus Status resolved => assigned
2009-08-12 02:09 schlundus Resolution fixed => reopened
2009-08-17 16:05 fman Note Added: 0007778
2009-08-19 02:37 schlundus Note Added: 0007796
2009-08-19 13:46 fman Note Added: 0007801
2009-08-19 14:57 schlundus Note Added: 0007804
2009-08-19 17:50 fman Note Added: 0007806
2009-09-11 00:36 fman Status assigned => resolved
2009-09-11 00:36 fman Resolution reopened => fixed
2010-05-01 20:35 fman Status resolved => closed
2010-08-19 18:36 fman Issue cloned: 0003693
2010-08-19 18:36 fman Relationship added related to 0003693



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker